library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity CLKDIV is
  generic ( WIDTH : integer := 25;  
 	             N : integer := 18432000 );

  port    (   CLK   : in  std_logic;
  				  RST   : in  std_logic;
              SEC   : out std_logic );
end CLKDIV;

architecture RTL of CLKDIV is

signal CNT : std_logic_vector( WIDTH - 1 downto 0 );

begin

process( CLK, RST ) begin
	if( RST = '1') then
		CNT     <= (others=>'0');
		SEC <= '0';   
	elsif( CLK'event and CLK = '1') then
		if( CNT = N - 1 ) then
			CNT <= (others=>'0');
			SEC <= '1';   
		else
			CNT <= CNT + '1';
			SEC <= '0';   
		end if; 
	end if; 
end process;

end RTL; 
