library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity SEG_CNT is

  generic ( MAX_SEG : integer := 2 );

  port ( CLK  : in  std_logic;
  			RST  : in  std_logic;
         STB  : out std_logic_vector( 1 downto 0 ) );

end SEG_CNT;

architecture RTL of SEG_CNT is

constant MAX_DIVCNT : integer := 4095;

signal CNT    : std_logic_vector( 1 downto 0 );
signal DIVCNT : std_logic_vector(11 downto 0 );
signal CE     : std_logic;

begin

STB <= CNT;

process( CLK, RST ) begin
	if( RST = '1') then
		CNT <= "00";
	elsif( CLK' event and CLK = '1' ) then
		if( CE = '1') then 
			if( CNT = MAX_SEG - 1 ) then
				CNT <= "00";
			else
				CNT <= CNT + '1';
			end if; 
		end if; 
	end if;
end process;

process( CLK, RST ) begin
	if( RST = '1') then
		DIVCNT <= (others=>'0');
	elsif( CLK'event and CLK = '1') then
		if( DIVCNT = MAX_DIVCNT ) then
			DIVCNT <= (others=>'0');
			CE <= '1';
		else
			DIVCNT <= DIVCNT + '1';
			CE <= '0';
		end if;
	end if; 
end process;

end RTL;


