-- C:\WORK\HDL\SAMPLE\EDXSPL02\CNT60_WAVE.VHW
-- VHDL Test Bench created by
-- HDL Bencher 2.01
-- Thu Jul 04 09:51:25 2002
-- 
-- Notes:
-- 1) This testbench has been automatically generated from
--   your Test Bench Waveform
-- 2) To use this as a user modifiable testbench do the following:
--   - Save it as a file with a .vhd extension (i.e. File->Save As...)
--   - Add it to your project as a testbench source (i.e. Project->Add Source...)
-- 

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 87
FILE RESULTS: TEXT OPEN WRITE_MODE IS "results.txt";
	COMPONENT CNT60
		PORT (
			CLK : in  std_logic;
			RST : in  std_logic;
			CE : in  std_logic;
			RESET_SW : in  std_logic;
			STATE : in  std_logic;
			SEC6 : out  std_logic_vector (3 DOWNTO 0);
			SEC10 : out  std_logic_vector (3 DOWNTO 0)
		);
	END COMPONENT;

	SIGNAL CLK : std_logic;
	SIGNAL RST : std_logic;
	SIGNAL CE : std_logic;
	SIGNAL RESET_SW : std_logic;
	SIGNAL STATE : std_logic;
	SIGNAL SEC6 : std_logic_vector (3 DOWNTO 0);
	SIGNAL SEC10 : std_logic_vector (3 DOWNTO 0);

BEGIN
	UUT : CNT60
	PORT MAP (
		CLK => CLK,
		RST => RST,
		CE => CE,
		RESET_SW => RESET_SW,
		STATE => STATE,
		SEC6 => SEC6,
		SEC10 => SEC10
	);

	PROCESS -- clock process
	BEGIN
		CLOCK_LOOP : LOOP
		CLK <= transport '0';
		WAIT FOR 1 ns;
		CLK <= transport '1';
		WAIT FOR 1 ns;
		WAIT FOR 51 ns;
		CLK <= transport '0';
		WAIT FOR 51 ns;
		END LOOP CLOCK_LOOP;
	END PROCESS;

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_SEC6(
			next_SEC6 : std_logic_vector (3 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (SEC6 /= next_SEC6) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns SEC6="));
				write(TX_LOC, SEC6);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_SEC6);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_SEC10(
			next_SEC10 : std_logic_vector (3 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (SEC10 /= next_SEC10) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns SEC10="));
				write(TX_LOC, SEC10);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_SEC10);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		CE <= transport '0';
		RST <= transport '0';
		RESET_SW <= transport '0';
		STATE <= transport '0';
		-- --------------------
		WAIT FOR 104 ns; -- Time=104 ns
		RST <= transport '1';
		STATE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=208 ns
		RST <= transport '0';
		-- --------------------
		WAIT FOR 208 ns; -- Time=416 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=520 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 312 ns; -- Time=832 ns
		STATE <= transport '0';
		-- --------------------
		WAIT FOR 104 ns; -- Time=936 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=1040 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=1456 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=1560 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=1976 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=2080 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 208 ns; -- Time=2288 ns
		STATE <= transport '1';
		-- --------------------
		WAIT FOR 208 ns; -- Time=2496 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=2600 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=3016 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=3120 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=3536 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=3640 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=4056 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=4160 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=4576 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=4680 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=5096 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=5200 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=5616 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=5720 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=6136 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=6240 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 312 ns; -- Time=6552 ns
		STATE <= transport '0';
		-- --------------------
		WAIT FOR 104 ns; -- Time=6656 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=6760 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=7176 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=7280 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=7696 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=7800 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=8216 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=8320 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 104 ns; -- Time=8424 ns
		RESET_SW <= transport '0';
		-- --------------------
		WAIT FOR 312 ns; -- Time=8736 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=8840 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=9256 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=9360 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=9776 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=9880 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=10296 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=10400 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=10816 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=10920 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=11336 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=11440 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=11856 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=11960 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=12376 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=12480 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=12896 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=13000 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=13416 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=13520 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=13936 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=14040 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=14456 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=14560 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 104 ns; -- Time=14664 ns
		RESET_SW <= transport '1';
		-- --------------------
		WAIT FOR 312 ns; -- Time=14976 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=15080 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=15496 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=15600 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 208 ns; -- Time=15808 ns
		RESET_SW <= transport '0';
		-- --------------------
		WAIT FOR 208 ns; -- Time=16016 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=16120 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=16536 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=16640 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=17056 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=17160 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=17576 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=17680 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=18096 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=18200 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=18616 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=18720 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=19136 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=19240 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=19656 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=19760 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=20176 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=20280 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=20696 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=20800 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=21216 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=21320 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=21736 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=21840 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=22256 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=22360 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=22776 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=22880 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=23296 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=23400 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=23816 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=23920 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=24336 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=24440 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=24856 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=24960 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=25376 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=25480 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=25896 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=26000 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=26416 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=26520 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=26936 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=27040 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=27456 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=27560 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=27976 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=28080 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=28496 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=28600 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=29016 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=29120 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=29536 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=29640 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=30056 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=30160 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=30576 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=30680 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=31096 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=31200 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=31616 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=31720 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=32136 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=32240 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=32656 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=32760 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=33176 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=33280 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=33696 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=33800 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=34216 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=34320 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=34736 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=34840 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=35256 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=35360 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=35776 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=35880 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=36296 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=36400 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=36816 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=36920 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=37336 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=37440 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=37856 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=37960 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=38376 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=38480 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=38896 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=39000 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=39416 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=39520 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=39936 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=40040 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=40456 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=40560 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=40976 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=41080 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=41496 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=41600 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=42016 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=42120 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=42536 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=42640 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=43056 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=43160 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=43576 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=43680 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=44096 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=44200 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=44616 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=44720 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=45136 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=45240 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=45656 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=45760 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=46176 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=46280 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=46696 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=46800 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=47216 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=47320 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=47736 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=47840 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=48256 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=48360 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=48776 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=48880 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=49296 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=49400 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=49816 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=49920 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=50336 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=50440 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=50856 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=50960 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=51376 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 104 ns; -- Time=51480 ns
		CE <= transport '0';
		-- --------------------
		WAIT FOR 416 ns; -- Time=51896 ns
		CE <= transport '1';
		-- --------------------
		WAIT FOR 166349 ns; -- Time=218245 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION CNT60_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END CNT60_cfg;
